import React from 'react';
import { Popconfirm } from 'antd';
export default function DelConfirm(props) {
  var _props$props = props.props,
    _onConfirm = _props$props.onConfirm,
    _props$props$title = _props$props.title,
    title = _props$props$title === void 0 ? '确定删除吗' : _props$props$title,
    _props$props$placemen = _props$props.placement,
    placement = _props$props$placemen === void 0 ? 'top' : _props$props$placemen,
    _props$props$text = _props$props.text,
    text = _props$props$text === void 0 ? '删除' : _props$props$text;
  var style = {
    color: '#1785ec',
    cursor: 'pointer'
  };
  return /*#__PURE__*/React.createElement(Popconfirm, {
    placement: placement,
    title: title,
    onConfirm: function onConfirm() {
      return _onConfirm(props.to);
    },
    okText: "\u786E\u8BA4",
    cancelText: "\u53D6\u6D88"
  }, /*#__PURE__*/React.createElement("span", {
    style: style
  }, text));
}